Embed Google Drive

描述

Embed a link and preview of Google Drive Documents by pasting a shared document link into the editor.

No configuration is required.

BTW, We’re Hiring!

How to use

  1. Copy the URL of drive document which you want to embed. Note: The document must be shared with anyone with the link.
  2. Create new post/page or edit existing one.
  3. Paste the URL in the editor. It will automatically embed the document.

安裝

  1. Download the plugin from here
  2. Add the plugin from the WordPress admin panel.
  3. Activate the plugin through the ‘Plugins’ menu in WordPress

常見問題

Reporting a bug 🐞

Before creating a new issue, do browse through the existing issues for resolution or upcoming fixes.

If you still need to log an issue, making sure to include as much detail as you can, including clear steps to reproduce the issue, if possible.

Creating a pull request

Want to contribute a new feature? Start a conversation by logging an issue.

Once you’re ready to send a pull request, please run through the following checklist:

  1. Browse through the existing issues for anything related to what you want to work on. If you don’t find any related issues, open a new one.

  2. Fork this repository.

  3. Create a branch from develop for each issue you’d like to address and commit your changes.

  4. Push the code changes from your local clone to your fork.

  5. Open a pull request and that’s it! We’ll respond with feedback as soon as possible (Isn’t collaboration a great thing? 😌)

  6. Once your pull request has passed final code review and tests, it will be merged into develop and be in the pipeline for the next release. Props to you! 🎉

評價

2023年11月1日
This doesn't do anything? It doesn't show up anywhere and trying to embed a GD link fails. A shame.
閱讀全部1個評價

貢獻者及開發者

“Embed Google Drive” 是一個開源的軟體。以下的人對這個外掛作出了貢獻。

貢獻者

將 Embed Google Drive 外掛本地化為台灣繁體中文版。

對開發相關資訊感興趣?

任何人均可瀏覽程式碼、查看 SVN 存放庫,或透過 RSS 訂閱開發記錄

修改日誌

1.1

  • Plugin tested up to WordPress 6.4.2
  • PHP Version updated to 8.0
  • Fixed PHP Coding Standards issues
  • Plugin is VIP compatible

1.0.1

  • Jetpack compatibility.

1.0

  • Initial release.